Skip to content
Skip to main content
PUT
/v3/grants/{grant_id}/messages/{message_id}

Update message attributes

Updates the attributes (folders, stars, read/unread status, and so on) for the specified email message.

When you make a PUT request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

message_id*string

ID of the message to access. We recommend you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

query_imapboolean

(IMAP, iCloud, and Yahoo only) When true, Nylas queries from the IMAP server directly instead of the Nylas database.

Default: false
shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.

Request body

starredboolean

Set to true to mark as starred; false to mark as not starred.

Example: true
unreadboolean

Set to true to mark as unread; false to mark as read.

Example: true
foldersarray<string>

The ID(s) of the folder(s) to apply, overwriting all folders previously associated with the message. Microsoft messages can be in a single folder only. Google allows a single message to appear in multiple folders.

Example: ["folder-1","folder-2"]
metadataobject

The metadata associated with the object. For more information, see Metadata.

Responses

request_idstring

The request ID.

dataobject
PUThttps://api.us.nylas.com/v3/grants/nyla%40example.com/messages/{message_id}?query_imap=false

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

message_idrequiredstring

ID of the message to access. We recommend you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

query_imapboolean

(IMAP, iCloud, and Yahoo only) When true, Nylas queries from the IMAP server directly instead of the Nylas database.

shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.